Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Class HashTableStack

    java.lang.Object
      org.apache.batik.dom.util.HashTableStack

public class HashTableStack
extends java.lang.Object

This class represents a stack of HashTable objects.

Nested Class Summary
`protected static class` | `HashTableStack.Link` To store the hashtables.

Field Summary
`protected HashTableStack.Link` | `current` The current link.

Constructor Summary
`HashTableStack()` Creates a new HashTableStack object.

Method Summary
`java.lang.String` | `get(java.lang.String s)` Gets an item in the table on the top of the stack.
`void` | `pop()` Removes the table on the top of the stack.
`void` | `push()` Pushes a new table on the stack.
`java.lang.String` | `put(java.lang.String s, java.lang.Object o)` Creates a mapping in the table on the top of the stack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### current

    protected HashTableStack.Link current

  The current link.

Constructor Detail

### HashTableStack

    public HashTableStack()

  Creates a new HashTableStack object.

Method Detail

### push

    public void push()

  Pushes a new table on the stack.

### pop

    public void pop()

  Removes the table on the top of the stack.

### put

    public java.lang.String put(java.lang.String s,
                                java.lang.Object o)

  Creates a mapping in the table on the top of the stack.

### get

    public java.lang.String get(java.lang.String s)

  Gets an item in the table on the top of the stack.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.